Subject: What makes a good fake MAC address?

From: Inaky Perez-Gonzalez <[email-masked]>
Date: Wed, 22 Apr 2009 13:48:27 -0700

Hi All

The Intel i2400m WiMAX driver behaves as an ethernet device, and currently 
when sending packets to the netdev stack, it fakes an ethernet header, sets 
the "from" mac address to zeroes and the "to" to it's own MAC address.

The WiMAX network can be considered to be a point-to-point (up to the gateway) 
connection, all IP based, so there are not MAC addresses from our gateway 
(not to mention that it can change behind us).

The problem with using a zero mac address is that it confuses the bridging 
software (and maybe others). I was wondering, what would be a fake mac 
address we could put in there that is legal for this kind of "faking"? [or 
the closest thing to legal?]

Thanks!

-- 
Inaky